import { Injector } from '@angular/core';
import { DatasetAwareFormComponent } from '../dataset-aware-form.component';
import * as i0 from "@angular/core";
export declare class CheckboxsetComponent extends DatasetAwareFormComponent {
    static initializeProps: void;
    layout: string;
    collapsible: boolean;
    protected match: string;
    protected dateformat: string;
    disabled: boolean;
    itemsperrow: string;
    private itemsPerRowClass;
    constructor(inj: Injector, explicitContext: any);
    onCheckboxLabelClick($event: any, key: any): void;
    protected handleEvent(node: HTMLElement, eventName: string, callback: Function, locals: any): void;
    onKeyDown($event: any): void;
    onPropertyChange(key: any, nv: any, ov?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxsetComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxsetComponent, "[wmCheckboxset]", ["wmCheckboxset"], {}, {}, never, never, false, never>;
}
